< Back


# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package uritemplate
  Definition Classes
    hmrc
- BuildInfo

o

uk.gov.hmrc

# BuildInfo

###

#### object BuildInfo extends Product with Serializable

This object was generated by sbt-buildinfo.

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BuildInfo
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val BuildDate: String

   The value is "2019-09-30T07:39:46.826Z".

5.  val GitBranch: String

   The value is "7f08ce5c02b66a87800f15981f31a1e9df8186f3".

6.  val GitCommitAuthor: String

   The value is "GitHub".

7.  val GitCommitDate: String

   The value is "2019-09-27T10:04:46.000Z".

8.  val GitDescribe: String

   The value is "v1.4.0-2-g7f08ce5".

9.  val GitHeadRev: String

   The value is "7f08ce5c02b66a87800f15981f31a1e9df8186f3".

10.  val GitRepoIsClean: String

    The value is "true".

11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  val builtAt: String

    The value is "2019-09-30".

13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val libraryDependencies: Seq[String]

    The value is Seq("org.scala-lang:scala-library:2.13.1", "org.scala-lang.modules:scala-parser-combinators_2.13:1.1.2", "org.scalatest:scalatest:3.0.8:test", "org.pegdown:pegdown:1.6.0:test").

20.  val name: String

    The value is "uri-template".

21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def productElementName(n: Int): String
    Definition Classes
      Product
25.  def productElementNames: Iterator[String]
    Definition Classes
      Product
26.  val sbtVersion: String

    The value is "0.13.11".

27.  val scalaVersion: String

    The value is "2.13.1".

28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  val toMap: Map[String, Any]
30.  val toString: String
31.  val version: String

    The value is "1.5.0".

32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped